> ## Name

> cgGetNamedSubParameter - gets a "shallow" or "deep" member from an aggregate parameter (i.e. array, struct, uniform buffer, etc.)

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetNamedSubParameter( CGparameter param,
>                                         const char * name );

> ## Parameters

> param
>   Aggregate parameter from which to retrieve a member.
> name
>   Name of the desired member inside the aggregate parameter param.

> ## Return Values

> Returns the named member of param.

> Returns NULL if param has no parameter corresponding to name or an error occurs.

> ## Description

> cgGetNamedSubParameter is a generalized parameter finding function that will retrieve parameters, including deep parameters, of an aggregate parameter type such as a array, struct, or uniform buffer.

> ## Examples

>     CGparameter parent = cgGetNamedParameter( program, "someParameter" );
>     CGparameter deepChild = cgGetNamedSubParameter( parent, "foo.list[3].item" );

>     /* Note: 'deepChild' is the same parameter returned by:
>        cgGetNamedParameter( program, "someParameter.foo.list[3].item" ); */

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetNamedSubParameter was introduced in Cg 1.5.

> ## See Also

> cgGetNamedParameter, cgGetNamedStructParameter, cgGetNamedUniformBufferParameter, cgGetArrayParameter